/* ***** BEGIN LICENSE BLOCK *****
Version: MPL 1.1/LGPL 2.1/GPL 2.0

The contents of this file are subject to the Mozilla Public License Version 
1.1 (the "License"); you may not use this file except in compliance with
...
for the specific language governing rights and limitations under the
License.

The Original Code is for Luminous Forts.

The Initial Developer of the Original Code is Hekar Khani.
Portions created by the Hekar Khani are Copyright (C) 2010
Hekar Khani. All Rights Reserved.

Contributor(s):
Hekar Khani <hekark@gmail.com>

Alternatively, the contents of this file may be used under the terms of
either of the GNU General Public License Version 2 or later (the "GPL"),
...
the terms of any one of the MPL, the GPL or the LGPL.

***** END LICENSE BLOCK ***** */

#include "cbase.h"
#ifdef MOD_LUA
#include "Lua_Main.h"

class Console
{
public:
	Console()
	{
	}

	void Msg( const std::string& msg )
	{
		::Msg( msg.c_str() );
	}
	
	void Warning( const std::string& msg )
	{
		::Warning( msg.c_str() );
	}
};

BEGIN_LUA
	luabind::module( LuaManager()->GetState() ) 
	[
		luabind::class_<Console>("Console")
			.def(luabind::constructor<>())
			.def("msg", &Console::Msg)
			.def("warning", &Console::Warning)
	];
END_LUA
#endif // MOD_LUA